vim.tbl_islist = vim.islist

local default_plugins = {"2html_plugin", "getscript", "getscriptPlugin", "gzip", "logipat", "netrw", "netrwPlugin", "netrwSettings", "netrwFileHandlers", "matchit", "tar", "tarPlugin", "rrhelper", "spellfile_plugin", "vimball", "vimballPlugin", "zip", "zipPlugin", "tutor", "rplugin", "syntax", "synmenu", "optwin", "compiler", "bugreport", "ftplugin"}

for _, plugin in pairs(default_plugins) do
  vim.g[("loaded_" .. plugin)] = 1
end

local function bootstrap(url, ref)
	local name = url:gsub(".*/", "")
	local path

	path = vim.fn.stdpath("data") .. "/lazy/" .. name
	vim.opt.rtp:prepend(path)

	if vim.fn.isdirectory(path) == 0 then
		print(name .. ": installing in data dir...")

		vim.fn.system {"git", "clone", url, path}
		if ref then
			vim.fn.system {"git", "-C", path, "checkout", ref}
		end

		vim.cmd "redraw"
		print(name .. ": finished installing")
	end
end

bootstrap("https://github.com/udayvir-singh/tangerine.nvim")
bootstrap("https://github.com/udayvir-singh/hibiscus.nvim")

require "tangerine".setup {
	compiler = {
		verbose = false,
			hooks = { "onsave", "oninit" }
  	}
}
